Query Users
User
Query Users
Retrieves a paginated list of users with advanced filtering capabilities. <br>
Supports searching by userId, displayName, or profileHandle with different matching strategies.
GET
Query Users
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Keyword to search for in user information such as displayName, profileHandle, and userId. The search is case-insensitive and supports partial matches.
Maximum string length:
100Return exact match search result when true
Filter users either by all users or only flagged users
Available options:
all, flagged Sort users by specified criteria default to displayName.
Available options:
firstCreated, lastCreated, displayName, profileHandle Fields to search users for the keyword (must be used with a keyword parameter), Default is all three fields
displayName- Search by display name. When using withsortByparameter the applicable sort order isdisplayName,lastCreatedorfirstCreated. Default todisplayName.profileHandle- Search by profile handle, when using withsortByparameter the applicable sort order isprofileHandle,lastCreatedorfirstCreated. Default toprofileHandle.userId- Search by user id, when using withsortByparameter the applicable sort order islastCreated,firstCreatedordisplayName. Default todisplayName.
Default is all three fields
Maximum array length:
3Available options:
displayName, profileHandle, userId Number of results per page (1-100)
Required range:
1 <= x <= 100Pagination token for getting next/previous pages
Maximum string length:
100filter only deleted users when true